/*
Interactions

Testing CxTemplatesAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package interactions

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/interactions"
)

func Test_interactions_CxTemplatesAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test CxTemplatesAPIService GetCxTemplatesId", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var id string

		resp, httpRes, err := apiClient.CxTemplatesAPI.GetCxTemplatesId(context.Background(), id).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CxTemplatesAPIService GetOrganizationsOrganizationIdCxTemplates", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.CxTemplatesAPI.GetOrganizationsOrganizationIdCxTemplates(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CxTemplatesAPIService GetOrganizationsOrganizationIdCxTemplatesInstallationsInstallationIdCampaigns", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var installationId string

		resp, httpRes, err := apiClient.CxTemplatesAPI.GetOrganizationsOrganizationIdCxTemplatesInstallationsInstallationIdCampaigns(context.Background(), organizationId, installationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CxTemplatesAPIService GetOrganizationsOrganizationIdCxTemplatesInstallationsInstallationIdScripts", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var installationId string

		resp, httpRes, err := apiClient.CxTemplatesAPI.GetOrganizationsOrganizationIdCxTemplatesInstallationsInstallationIdScripts(context.Background(), organizationId, installationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CxTemplatesAPIService PostOrganizationsOrganizationIdCxTemplates", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.CxTemplatesAPI.PostOrganizationsOrganizationIdCxTemplates(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
